<template>
  <div class="inline-16">
    <component :is="formComponent" :data="data" :btnType="btnType" @onSuccess="onSuccess"></component>
  </div>
</template>

<script>
export default {
  props:['formPath','data','btnType'],
  data () {
    return {
    }
  },
  computed:{
		formComponent(){
      return ()=>import(`@/Form/${this.formPath}/edit.vue`)
		}
	},
  methods:{
    onSuccess () {
      this.$emit('onAddSuccess')
    }
  },
  mounted () {
    
  }
}

</script>
<style>
</style>